# $Id: perl-File-Find-Rule-Filesys-Virtual.spec 2975 2005-03-09 05:31:45Z dag $
# Authority: dries
# Upstream: Richard Clamp <richardc$unixbeard,net>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name File-Find-Rule-Filesys-Virtual

Summary: File::Find::Rule adapted to Filesys::Virtual
Name: perl-File-Find-Rule-Filesys-Virtual
Version: 1.21
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/File-Find-Rule-Filesys-Virtual/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/File/File-Find-Rule-Filesys-Virtual-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
File::Find::Rule adapted to Filesys::Virtual.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/File/
%dir %{perl_vendorlib}/File/Find/Rule/
%dir %{perl_vendorlib}/File/Find/Rule/Filesys/
%{perl_vendorlib}/File/Find/Rule/Filesys/Virtual.pm

%changelog
* Tue Dec 07 2004 Dries Verachtert <dries@ulyssis.org> - 1.21-1
- Initial package.
